Creates a new equipment_brand object

Request Information

URI Parameters :

None.

Body Parameters :

equipment_brand
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the equipment brand

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "a0bf1378-1b86-4119-865d-4cab1a027be0",
  "name": "sample string 2",
  "code": "sample string 3",
  "sales_organization_id": "9622edf0-6086-483b-a270-d516e3032385",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "39f9e0bd-1392-4166-8612-50aebce05663",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "88aeacf8-f1ea-4ba5-ba22-2088e772a8f2",
    "db_currency_id": "ec83e492-d7c8-41d9-be8b-083eca8521ad",
    "db_language_id": "0b77dc8b-31ef-456d-a00b-aaefc4af3119",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-06-17T01:53:31.4769542+00:00"
  },
  "modified_dateutc": "2026-06-17T01:53:31.4769542+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.